Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = Result<Option<EarlyBinder<'tcx, Const<'tcx>>>, ErrorGuaranteed>;

## Aliased Type§

    pub enum Value<'tcx> {
        Ok(Option<EarlyBinder<TyCtxt<'tcx>, Const<'tcx>>>),
        Err(ErrorGuaranteed),
    }

## Variants§

§

### Ok(Option<EarlyBinder<TyCtxt<'tcx>, Const<'tcx>>>)

Contains the success value

§

### Err(ErrorGuaranteed)

Contains the error value

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.